<?

err();

aut();

if (isset($user) && (!isset($_SESSION['time_c_t_forum']) || $_SESSION['time_c_t_forum']<$time-600 || $user['level']>0))

{

echo "<div class=\"foot\">\n";

echo "<img src='/style/icons/t.gif' alt='*'> <a href=\"/forum/$forum[id]/$razdel[id]/?act=new\" title='Создать новую тему'>Новая тема</a><br />\n";

echo "</div>";

}

$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_t` WHERE `id_forum` = '$forum[id]' AND `id_razdel` = '$razdel[id]'"),0);

$k_page=k_page($k_post,$set['p_str']);

$page=page($k_page);

$start=$set['p_str']*$page-$set['p_str'];

echo "<table class='post'>\n";

$q=mysql_query("SELECT * FROM `forum_t` WHERE `id_forum` = '$forum[id]' AND `id_razdel` = '$razdel[id]' ORDER BY `up` DESC,`time` DESC  LIMIT $start, $set[p_str]");

			if (mysql_num_rows($q)==0) {

		echo "  <div class='mess'>\n";

		echo "Нет тем в разделе \"$razdel[name]\"\n";

		echo "  </div>\n";

	}		

while ($them = mysql_fetch_assoc($q))

{

	/*-----------зебра-----------*/	if ($num==0)	{			echo "  <div class='nav1'>\n";		$num=1;	}	elseif ($num==1)	{		echo "  <div class='nav2'>\n";		$num=0;	}	/*---------------------------*/

echo "<img src='/style/themes/$set[set_them]/forum/14/them_$them[up]$them[close].png' alt='' />";



echo "<a href='/forum/$forum[id]/$razdel[id]/$them[id]/'>$them[name]</a> <a href='/forum/$forum[id]/$razdel[id]/$them[id]/?page=end'>(".mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_p` WHERE `id_forum` = '$forum[id]' AND `id_razdel` = '$razdel[id]' AND `id_them` = '$them[id]'"),0).")</a><br />\n";



$ank=get_user($them['id_user']);

echo "Автор: <a href='/info.php?id=$ank[id]' title='Анкета \"$ank[nick]\"'>$ank[nick]</a> (".vremja($them['time_create']).")<br />\n";



$post2=mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_p` WHERE `id_them` = '$them[id]' AND `id_razdel` = '$razdel[id]' AND `id_forum` = '$forum[id]' ORDER BY `time` DESC LIMIT 1"));$ank2=get_user($post2['id_user']);

IF ($ank2['id'])echo "Посл.: <a href='/info.php?id=$ank2[id]' title='Анкета \"$ank2[nick]\"'>$ank2[nick]</a> (".vremja($post2['time']).")<br />\n";



echo "   </div>\n";

}

echo "</table>\n";

if ($k_page>1)str("/forum/$forum[id]/$razdel[id]/?",$k_page,$page); // Вывод страниц



?>